Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.naming
Interface ExternalContextMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  ExternalContext

public interface ExternalContextMBean
extends org.jboss.system.ServiceMBean

MBean interface.

See Also:
  `NonSerializableFactory`

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`boolean` | `getCacheContext()`
`String` | `getInitialContext()` Get the class name of the InitialContext implementation to use.
`String` | `getJndiName()` Set the jndi name under which the external context is bound.
`Properties` | `getProperties()` Get the InitialContex class environment properties.
`boolean` | `getRemoteAccess()`
`void` | `setCacheContext(boolean cacheContext)`
`void` | `setInitialContext(String className)` Set the class name of the InitialContext implementation to use.
`void` | `setJndiName(String jndiName)` Set the jndi name under which the external context is bound.
`void` | `setProperties(Properties props)` Set the InitialContex class environment properties.
`void` | `setPropertiesURL(String contextPropsURL)` Set the InitialContex class environment properties from the given URL.
`void` | `setRemoteAccess(boolean remoteAccess)`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getJndiName

    public String getJndiName()

  Set the jndi name under which the external context is bound.

### setJndiName

    public void setJndiName(String jndiName)
                     throws NamingException

  Set the jndi name under which the external context is bound.

  Throws:
    `NamingException`

### getRemoteAccess

    public boolean getRemoteAccess()

### setRemoteAccess

    public void setRemoteAccess(boolean remoteAccess)

### getCacheContext

    public boolean getCacheContext()

### setCacheContext

    public void setCacheContext(boolean cacheContext)

### getInitialContext

    public String getInitialContext()

  Get the class name of the InitialContext implementation to use. Should be one of:
  - javax.naming.InitialContext
  - javax.naming.directory.InitialDirContext
  - javax.naming.ldap.InitialLdapContext

  Returns:
    the classname of the InitialContext to use

### setInitialContext

    public void setInitialContext(String className)
                           throws ClassNotFoundException

  Set the class name of the InitialContext implementation to use. Should be one of:
  - javax.naming.InitialContext
  - javax.naming.directory.InitialDirContext
  - javax.naming.ldap.InitialLdapContext

  Throws:
    `ClassNotFoundException`

### setPropertiesURL

    public void setPropertiesURL(String contextPropsURL)
                          throws IOException

  Set the InitialContex class environment properties from the given URL.

  Throws:
    `IOException`

### setProperties

    public void setProperties(Properties props)
                       throws IOException

  Set the InitialContex class environment properties.

  Throws:
    `IOException`

### getProperties

    public Properties getProperties()
                             throws IOException

  Get the InitialContex class environment properties.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.